/*
 * This Java source file is completely Free and Open-Source, 
 * released under the MIT License.
 *
 * Copyright (2012) Ashish Nawal Saharia (ashish.saharia@yahoo.co.in)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy 
 * of this software and associated documentation files (the "Software"), to deal 
 * in the Software without restriction, including without limitation the rights 
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell 
 * copies of the Software, and to permit persons to whom the Software is 
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. 
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, 
 * DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR 
 * OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE
 * OR OTHER DEALINGS IN THE SOFTWARE.
 * 
 */

/*
 * FetchedFile.java
 *
 * Created on 18 October 2009, 22:22
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package net.infantai.util.common;

import java.io.Serializable;

/**
 *
 * @author Ashish (ashish.saharia@yahoo.co.in)
 */
public class FetchedFile implements Serializable
{
    
    private String fileURL;
    private byte[] fileBytes;
    private long fetchTime;
    
    /**
     * Creates a new instance of FetchedFile.
     */
    public FetchedFile() 
    {
        
    }

    public String getFileURL() 
    {
        return fileURL;
    }

    public void setFileURL(String fileURL) 
    {
        this.fileURL = fileURL;
    }

    public byte[] getFileBytes() 
    {
        return fileBytes;
    }

    public void setFileBytes(byte[] fileBytes) 
    {
        this.fileBytes = fileBytes;
    }

    public long getFetchTime() 
    {
        return fetchTime;
    }

    public void setFetchTime(long fetchTime) 
    {
        this.fetchTime = fetchTime;
    }
    
}
